List Payment Methods

Deprecated

Gets the list of enabled payment methods. Default sorting is by payment method, alphabetically from A to Z.

Note

Avoid using this API operation if possible. It is not supported; therefore, all enabled providers may not appear.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Create Payments | create | `store_payments_access_token_create` | | Get Payment Methods | read-only | `store_payments_methods_read` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

pageintegerOptional
Request a specific page of results. The value of the limit query parameter determines the number of responses per page.
limitintegerOptional
Set the number of responses per page.

Response

codestring

Unique platform-wide code identifying the payment method.

namestring
Descriptive name of the payment method.
test_modeboolean
Determines whether the payment gateway is in test mode. Always false for offline payment methods.